Show / Hide Table of Contents

# Class ObjectTable

This collection represents the currently spawned FFXIV game objects.

##### Inheritance

System.Object
ObjectTable

##### Implements

System.Collections.Generic.IReadOnlyCollection<GameObject>
System.Collections.Generic.IEnumerable<GameObject>
System.Collections.IEnumerable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Objects

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class ObjectTable : IReadOnlyCollection<GameObject>, IEnumerable<GameObject>, IEnumerable

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the object table.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Item[Int32]

Get an object at the specified spawn index.

##### Declaration

    public GameObject this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | Spawn index.

##### Property Value

Type | Description
--- | ---
GameObject | An GameObject at the specified spawn index.

| Improve this Doc View Source

#### Length

Gets the length of the object table.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### CreateObjectReference(IntPtr)

Create a reference to an FFXIV game object.

##### Declaration

    public GameObject CreateObjectReference(IntPtr address)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of the object in memory.

##### Returns

Type | Description
--- | ---
GameObject | GameObject object or inheritor containing the requested data.

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<GameObject> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<GameObject> |

| Improve this Doc View Source

#### GetObjectAddress(Int32)

Gets the address of the game object at the specified index of the object table.

##### Declaration

    public IntPtr GetObjectAddress(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | The index of the object.

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the object.

| Improve this Doc View Source

#### SearchById(UInt32)

Search for a game object by their Object ID.

##### Declaration

    public GameObject SearchById(uint objectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectId | Object ID to find.

##### Returns

Type | Description
--- | ---
GameObject | A game object or null.

### Explicit Interface Implementations

| Improve this Doc View Source

#### IReadOnlyCollection<GameObject>.Count

##### Declaration

    int IReadOnlyCollection<GameObject>.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.IEnumerable